Api reference
Customer
Query Parameters
phone*string
Length
1 <= lengthrestaurantNo*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/api/customers?phone=string&restaurantNo=string"{ "success": true, "customer": { "customerUID": "string", "name": "string", "email": "[email protected]", "phone": "string", "address": "string", "active": true, "id": 1, "createdAt": "string", "updatedAt": "string" }, "message": "string"}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
curl -X GET "https://example.com/api/customer/template""string"curl -X GET "https://example.com/api/customer"{ "success": true, "data": [ { "customerUID": "string", "name": "string", "email": "[email protected]", "phone": "string", "address": "string", "active": true, "id": 1, "createdAt": "string", "updatedAt": "string" } ]}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/customer" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "phone": "string" }'{ "success": true, "customer": { "customerUID": "string", "name": "string", "email": "[email protected]", "phone": "string", "address": "string", "active": true, "id": 1, "createdAt": "string", "updatedAt": "string" }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id?number|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/customer/{id}"{ "success": true, "customer": { "customerUID": "string", "name": "string", "email": "[email protected]", "phone": "string", "address": "string", "active": true, "id": 1, "createdAt": "string", "updatedAt": "string" }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id?number|null
Response Body
application/json
application/json
curl -X DELETE "https://example.com/api/customer/{id}"{ "success": true, "message": "string"}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id?number|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/customer/{id}" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "customer": { "customerUID": "string", "name": "string", "email": "[email protected]", "phone": "string", "address": "string", "active": true, "id": 1, "createdAt": "string", "updatedAt": "string" }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/customer/bulk-upload"{ "success": true, "message": "string", "totalProcessed": 0, "successful": 0, "failed": 0, "errors": [ { "row": 0, "error": "string", "data": { "property1": null, "property2": null } } ]}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/customer/bulk-delete" \ -H "Content-Type: application/json" \ -d '{ "ids": [ 0 ] }'{ "success": true, "message": "string"}